org.eclipse.mat.ui.actions

## Class QueryDropDownMenuAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.util.EasyToolBarDropDown
    - - org.eclipse.mat.ui.actions.QueryDropDownMenuAction

    public class QueryDropDownMenuAction
    extends EasyToolBarDropDown

### Constructor Summary

Constructors
Constructor and Description
`QueryDropDownMenuAction(MultiPaneEditor editor)`
`QueryDropDownMenuAction(MultiPaneEditor editor, IPolicy policy, boolean showHistory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contribute(PopupMenu menu)`

### Methods inherited from class org.eclipse.mat.ui.util.EasyToolBarDropDown

`dispose, getMenu, getMenu, run`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryDropDownMenuAction

    public QueryDropDownMenuAction(MultiPaneEditor editor)

#### QueryDropDownMenuAction

    public QueryDropDownMenuAction(MultiPaneEditor editor,
                                   IPolicy policy,
                                   boolean showHistory)

### Method Detail

#### contribute

    public void contribute(PopupMenu menu)

Specified by:
  `contribute` in class `EasyToolBarDropDown`